com.amazonaws.services.simpleworkflow.model

## Class TimerStartedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.TimerStartedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class TimerStartedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `TimerStarted` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TimerStartedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TimerStartedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getControl()` Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks.
`Long` `getDecisionTaskCompletedEventId()` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartTimer` decision for this activity task.
`String` `getStartToFireTimeout()` The duration of time after which the timer will fire.
`String` `getTimerId()` The unique ID of the timer that was started.
`int` `hashCode()`
`void` `setControl(String control)` Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks.
`void` `setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartTimer` decision for this activity task.
`void` `setStartToFireTimeout(String startToFireTimeout)` The duration of time after which the timer will fire.
`void` `setTimerId(String timerId)` The unique ID of the timer that was started.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`TimerStartedEventAttributes` `withControl(String control)` Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks.
`TimerStartedEventAttributes` `withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartTimer` decision for this activity task.
`TimerStartedEventAttributes` `withStartToFireTimeout(String startToFireTimeout)` The duration of time after which the timer will fire.
`TimerStartedEventAttributes` `withTimerId(String timerId)` The unique ID of the timer that was started.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TimerStartedEventAttributes

    public TimerStartedEventAttributes()

### Method Detail

#### setTimerId

    public void setTimerId(String timerId)

The unique ID of the timer that was started.

Parameters:
  `timerId` - The unique ID of the timer that was started.

#### getTimerId

    public String getTimerId()

The unique ID of the timer that was started.

Returns:
  The unique ID of the timer that was started.

#### withTimerId

    public TimerStartedEventAttributes withTimerId(String timerId)

The unique ID of the timer that was started.

Parameters:
  `timerId` - The unique ID of the timer that was started.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setControl

    public void setControl(String control)

Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks.

Parameters:
  `control` - Optional.

#### getControl

    public String getControl()

Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks.

Returns:
  Optional.

#### withControl

    public TimerStartedEventAttributes withControl(String control)

Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks.

Parameters:
  `control` - Optional.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartToFireTimeout

    public void setStartToFireTimeout(String startToFireTimeout)

The duration of time after which the timer will fire.

The duration is specified in seconds; an integer greater than or equal to 0.

Parameters:
  `startToFireTimeout` - The duration of time after which the timer will fire.

  The duration is specified in seconds; an integer greater than or equal to 0.

#### getStartToFireTimeout

    public String getStartToFireTimeout()

The duration of time after which the timer will fire.

The duration is specified in seconds; an integer greater than or equal to 0.

Returns:
  The duration of time after which the timer will fire.

  The duration is specified in seconds; an integer greater than or equal to 0.

#### withStartToFireTimeout

    public TimerStartedEventAttributes withStartToFireTimeout(String startToFireTimeout)

The duration of time after which the timer will fire.

The duration is specified in seconds; an integer greater than or equal to 0.

Parameters:
  `startToFireTimeout` - The duration of time after which the timer will fire.

  The duration is specified in seconds; an integer greater than or equal to 0.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDecisionTaskCompletedEventId

    public void setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartTimer` decision for this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartTimer` decision for this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getDecisionTaskCompletedEventId

    public Long getDecisionTaskCompletedEventId()

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartTimer` decision for this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartTimer` decision for this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withDecisionTaskCompletedEventId

    public TimerStartedEventAttributes withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartTimer` decision for this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartTimer` decision for this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public TimerStartedEventAttributes clone()

Overrides:
  `clone` in class `Object`